## org.apache.poi.hwpf.model.types
Class SHDAbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.SHDAbstractType

Direct Known Subclasses:
  ShadingDescriptor

    @Internal
    public abstract class SHDAbstractType

extends java.lang.Object

The SHD is a substructure of the CHP, PAP, and TC for Word 2000.

Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format

NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

Author:
  Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format Specification [*.doc]

Field Summary
`protected Colorref` `field_1_cvFore`
`protected Colorref` `field_2_cvBack`
`protected int` `field_3_ipat`

Constructor Summary
`protected` `SHDAbstractType()`

Method Summary
`protected void` `fillFields(byte[] data, int offset)`
`Colorref` `getCvBack()` 24-bit background color.
`Colorref` `getCvFore()` 24-bit foreground color.
`int` `getIpat()` Shading pattern.
`static int` `getSize()` Size of record
`void` `serialize(byte[] data, int offset)`
`void` `setCvBack(Colorref field_2_cvBack)` 24-bit background color.
`void` `setCvFore(Colorref field_1_cvFore)` 24-bit foreground color.
`void` `setIpat(int field_3_ipat)` Shading pattern.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### field_1_cvFore

    protected Colorref field_1_cvFore

### field_2_cvBack

    protected Colorref field_2_cvBack

### field_3_ipat

    protected int field_3_ipat

Constructor Detail

### SHDAbstractType

    protected SHDAbstractType()

Method Detail

### fillFields

    protected void fillFields(byte[] data,
                              int offset)

### serialize

    public void serialize(byte[] data,
                          int offset)

### getSize

    public static int getSize()

  Size of record

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getCvFore

    @Internal
    public Colorref getCvFore()

  24-bit foreground color.

### setCvFore

    @Internal
    public void setCvFore(Colorref field_1_cvFore)

  24-bit foreground color.

### getCvBack

    @Internal
    public Colorref getCvBack()

  24-bit background color.

### setCvBack

    @Internal
    public void setCvBack(Colorref field_2_cvBack)

  24-bit background color.

### getIpat

    @Internal
    public int getIpat()

  Shading pattern.

### setIpat

    @Internal
    public void setIpat(int field_3_ipat)

  Shading pattern.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.